Package org.apache.ignite.internal.processors.metric

## Class AbstractMetric

- java.lang.Object
- - org.apache.ignite.internal.processors.metric.AbstractMetric

All Implemented Interfaces:
  `Metric`

Direct Known Subclasses:
  `AtomicLongMetric`, `BooleanGauge`, `BooleanMetricImpl`, `DoubleGauge`, `DoubleMetricImpl`, `HistogramMetricImpl`, `HitRateMetric`, `IntGauge`, `IntMetricImpl`, `LongAdderMetric`, `LongGauge`, `ObjectGauge`, `ObjectMetricImpl`, `PeriodicHistogramMetricImpl`

    public abstract class AbstractMetric
    extends Object
    implements Metric

Base class for `Metric` implementations.

### Constructor Summary

Constructors
`protected` `AbstractMetric​(String name, @Nullable String desc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable String` `description()`
`boolean` `equals​(Object o)`
`int` `hashCode()`
`String` `name()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.spi.metric.Metric

`getAsString, reset`

### Constructor Detail

#### AbstractMetric

    protected AbstractMetric​(String name,
                             @Nullable
                             @Nullable String desc)

Parameters:
  `name` - Name.
  `desc` - Description.

### Method Detail

#### name

    public String name()

Specified by:
  `name` in interface `Metric`
Returns:
  Name of the metric.

#### description

    @Nullable
    public @Nullable String description()

Specified by:
  `description` in interface `Metric`
Returns:
  Description of the metric.

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`